XltSetValues(3X)

NAME
XltSetValues - Convenience safety wrapper for XtSetValues(3X).

SYNOPSIS
#include <Xlt/Xlt.h>

void XltSetValues(w, a, n)
	Widget w;
	Arg a[];
	Cardinal n;

DESCRIPTION
XltSetValues simply asserts (using XltCheckArgSize(3X)) that a contains at least n elements and then calls XtSetValues(3X).

An alternative is to use XtVaSetValues(3X). XtVaSetValues(3X) makes the machine work harder but few would notice any performance difference. However, if you already have an application that makes extensive use of XtSetValues(3X), using XltSetValues will be easier than changing everything to XtVaSetValues(3X).

Note that the a parameter must be an array of Arg, a pointer to an Arg will not work.

RETURN VALUE
None but abort(3) may be called.

SEE ALSO
XltGetValues(3X), XltCheckArgSize(3X), assert(3).